Bug 190922 - CVE-2006-1945: awstats cross site scripting vulnerability
CVE-2006-1945: awstats cross site scripting vulnerability
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: awstats (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-06 13:05 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-07 19:37:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-06 13:05:59 EDT
+++ This bug was initially created as a clone of Bug #190921 +++

awstats <= 6.5 reportedly has a cross site scripting vulnerability via the
"config" parameter.  http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-1945
Comment 1 Aurelien Bompard 2006-05-07 19:37:47 EDT
Awstats 6.6 is still in beta and did not work for me (update gave "Use of
uninitialized value in substitution (s///) at ..."), so I backported the fix
from CVS instead (it's a two-liner).
FC-5 and FC-4 versions building, devel is updated to 6.6 and I'll keep it
updated when a new beta arrives.

Note You need to log in before you can comment on or make changes to this bug.